SQL-инъекция в Valid tiny-erp

Дата публикации:
05.12.2011
Дата изменения:
05.12.2011
Всего просмотров:
705
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:U/RC:C) = Base:6.4/Temporal:5.4
CVE ID:
CVE-2011-4672
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Valid tiny-erp 1.х
Уязвимые версии: Valid tiny-erp 1.6, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "SearchField" в сценариях _partner_list.php, proioncategory_list.php, _rantevou_list.php, syncategory_list.php, synallasomenos_list.php, ypelaton_list.php, и yproion_list.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://www.valid.gr/demo_view.php?editid1=1

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/18128
http://seclists.org/fulldisclosure/2011/Nov/303
http://www.securityfocus.com/archive/1/archive/1/520572/100/0/threaded

или введите имя

CAPTCHA